[arch-commits] Commit in nextcloud-app-spreed/trunk (PKGBUILD)

David Runge dvzrv at gemini.archlinux.org
Fri Mar 25 16:05:07 UTC 2022


    Date: Friday, March 25, 2022 @ 16:05:07
  Author: dvzrv
Revision: 1176507

upgpkg: nextcloud-app-spreed 1:13.0.4-1: Upgrade to 13.0.4.

Remove unneeded quotes and curly braces.
Add generic detection of system php (php or php7).

Modified:
  nextcloud-app-spreed/trunk/PKGBUILD

----------+
 PKGBUILD |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 54 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2022-03-25 15:35:01 UTC (rev 1176506)
+++ PKGBUILD	2022-03-25 16:05:07 UTC (rev 1176507)
@@ -2,7 +2,7 @@
 
 _name=spreed
 pkgname=nextcloud-app-spreed
-pkgver=13.0.3
+pkgver=13.0.4
 pkgrel=1
 epoch=1
 pkgdesc="Video & audio-conferencing using WebRTC"
@@ -12,16 +12,31 @@
 groups=(nextcloud-apps)
 makedepends=(nextcloud)
 checkdepends=(ripgrep yq)
-source=("https://github.com/nextcloud-releases/${_name}/releases/download/v${pkgver}/${_name}-v${pkgver}.tar.gz")
-sha512sums=('4cc580ed2968f38632cbbc230218261a65225b6a6c04dda1d436665cacbfe2b9fa653f254e258c163966705e37e52b9a8457cc487ce10624f1c3e89eb5ad3246')
-b2sums=('8e79da9567b82ef202240ee6d50bec202ae0729a7cc01164485925b68cf3a71ea4541c238f77da4f299c54618c683a4d425a1769e0db84c75b66d59d97f2354f')
+source=(https://github.com/nextcloud-releases/$_name/releases/download/v$pkgver/$_name-v$pkgver.tar.gz)
+sha512sums=('e4764e62cef5c4007f9b8f092ae6501e71113ca9b0fd7953a2abf82a3fafc4ca52be22390c20d65ce6523247ff149ce47349f9a99b6526795e7cb8d03d17ccda')
+b2sums=('81469ce75fba0911f88d3fe95314cb816c7bca14468e9425c43facc99cd1c3d7cdad6b25384e2ffab13f235732ae9cf5f75526741c1dc2ef2a475a066e811f33')
 
 _get_nextcloud_versions() {
-  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
-  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
   _app_max_major_version=$(expr ${_app_max_major_version} + 1)
 }
 
+_get_php_versions() {
+  local _phps=(php7 php)
+
+  _app_min_php="$(xq '.info.dependencies.php["@min-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_php="$(xq '.info.dependencies.php["@max-version"]' "$_name/appinfo/info.xml"| sed 's/"//g')"
+  _system_php=""
+  for _php in "${_phps[@]}"; do
+    if command -v "$_php" > /dev/null; then
+      if [[ -z "$_system_php" ]]; then
+        _system_php="$_php"
+      fi
+    fi
+  done
+}
+
 prepare() {
   find ${_name} -type f -exec chmod 644 {} +
   find ${_name} -type d -exec chmod 755 {} +
@@ -31,18 +46,46 @@
   local _app_min_major_version
   local _app_max_major_version
   _get_nextcloud_versions
+  _get_php_versions
   local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
 
-  if (("$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")"<0)) || (("$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")">0)) ; then
-    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+  if (("$(vercmp "$_nextcloud_major_version" "$_app_min_major_version")"<0)) || (("$(vercmp "$_nextcloud_major_version" "$_app_max_major_version")">0)) ; then
+    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "$_app_min_major_version" "$_app_max_major_version" "$_nextcloud_major_version"
     exit 1
   fi
+
+  local _php_version="$($_system_php --version |head -n1 |cut -d ' ' -f2 |sed 's/.[0-9]*$//g')"
+  if [[ "$(vercmp "$_php_version" "$_app_min_php" )" -lt 0 ]]; then
+    printf "%s requires php >= %s, but %s is provided\n" $pkgname $_app_min_php $_php_version
+    exit 1
+  fi
+  if [[ $_app_max_php != 'null' ]]; then
+    if [[ "$(vercmp "$_php_version" "$_app_min_php" )" -lt 0 ]]; then
+      printf "%s requires php <= %s, but %s is provided\n" $pkgname $_app_min_php $_php_version
+      exit 1
+    fi
+  fi
 }
 
 package() {
   _get_nextcloud_versions
-  depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
+  _get_php_versions
 
-  install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps/"
-  cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+  depends=(
+    "nextcloud>=$_app_min_major_version"
+    "nextcloud<$_app_max_major_version"
+  )
+  if [[ "$_app_min_php" != 'null' ]]; then
+    depends+=(
+      "php>=$_app_min_php"
+    )
+  fi
+  if [[ "$_app_max_php" != 'null' ]]; then
+    depends+=(
+      "php<=$_app_max_php"
+    )
+  fi
+
+  install -vdm 755 "$pkgdir/usr/share/webapps/nextcloud/apps/"
+  cp -av $_name "$pkgdir/usr/share/webapps/nextcloud/apps/"
 }



More information about the arch-commits mailing list